/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.cxf.management;

public final class ManagementConstants {

    public static final String DEFAULT_DOMAIN_NAME = "org.apache.cxf";
    public static final String BUS_ID_PROP = "bus.id";
    public static final String NAME_PROP = "name";
    public static final String TYPE_PROP = "type";
    public static final String DESCRIPTION_PROP = "description";
    public static final String SERVICE_NAME_PROP = "service";
    public static final String OPERATION_NAME_PROP = "operation";
    public static final String PORT_NAME_PROP = "port";
    public static final String INSTANCE_ID_PROP = "instance.id";

    private ManagementConstants() {

    }
}
