/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.cxf.jaxrs.swagger.ui;

import java.net.MalformedURLException;

import org.junit.Test;



public class SwaggerUIResourceLocatorTest {

    @Test(expected = MalformedURLException.class)
    public void testLocateWithBadCharactersInUrl() throws MalformedURLException {
        String url =
                "jar:file:/Volumes/bigdrive/test157/jetty/base/webapps/"
                + "Rhythmyx/WEB-INF/lib/swagger-ui-2.2.10-1.jar!/META-INF/resources/"
                + "webjars/swagger-ui/2.2.10-1/assets/by-path//Assets/uploads/"
                + "Screen Shot 2020-02-05 at 10.50.53 AM.png";

        SwaggerUiResourceLocator locator = new SwaggerUiResourceLocator("/");

        locator.locate(url);
        
    }
}
