/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.cxf.ws.transfer.shared.faults;

import javax.xml.namespace.QName;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import org.apache.cxf.binding.soap.SoapFault;
import org.apache.cxf.helpers.DOMUtils;

/**
 * The parent for all WS-Transfer-specific faults.
 */
public abstract class WSTransferFault extends SoapFault {

    private static final long serialVersionUID = -7603229392321418734L;

    public WSTransferFault(String reason, String detail, QName faultCode) {
        super(reason, faultCode);
        if (detail != null) {
            Document doc = DOMUtils.getEmptyDocument();
            Element detailEl = doc.createElement("detail");
            detailEl.setTextContent(detail);
            setDetail(detailEl);
        }
    }

}
